Attribute VB_Name = "Module1"
'
'   Written by: Laimonas Simutis
'               laijerrad@yahoo.com
'
'   Description:
'       Contains Functions and Constants for obtaining System
'       Information.
'
'   Copyright notice:
'       Information presented here is available to everyone. However, if
'       you wish to include this module in your project at no charge, these
'       comments must be included as well.
'


'-------------------
Public Declare Function GetWindowsDirectory Lib "kernel32" Alias "GetWindowsDirectoryA" (ByVal lpBuffer As String, ByVal nSize As Long) As Long
'lpBuffer - buffer string for storing the result, has to be
'created (lpBuffer=Space$(255)) before it can be used.
'-------------------

'-------------------
Public Declare Function GetSystemDirectory Lib "kernel32" Alias "GetSystemDirectoryA" (ByVal lpBuffer As String, ByVal nSize As Long) As Long
'parameter meanings the same as in the previous function
'-------------------

'-------------------
Public Declare Function GetVersionEx Lib "kernel32" Alias "GetVersionExA" (lpVersionInformation As OSVERSIONINFO) As Long
'lpVersionInformation will be populated with info about sys
'before passing to the function, set the size (1 param)
'using len(osversioninfo)

Public Type OSVERSIONINFO
        dwOSVersionInfoSize As Long
        dwMajorVersion As Long
        dwMinorVersion As Long
        dwBuildNumber As Long
        dwPlatformId As Long
        szCSDVersion As String * 128      '  Maintenance string for PSS usage
End Type
'-------------------


'-------------------
Public Declare Function GetComputerName Lib "kernel32" Alias "GetComputerNameA" (ByVal lpBuffer As String, nSize As Long) As Long
'the name You see in the network Neighbourhood
'Returns TRUE/FALSE
'-------------------

'-------------------
Public Declare Function GetUserName Lib "advapi32.dll" Alias "GetUserNameA" (ByVal lpBuffer As String, nSize As Long) As Long
'Returns True / False
'-------------------

'-------------------
Public Declare Function ExitWindowsEx Lib "user32" (ByVal uFlags As Long, ByVal dwReserved As Long) As Long
'dwReserved - set to 0
'use this call to shutdown, restart, logoff the computer, depending on the uFlags
'here are the choices for uflags
Public Const EWX_FORCE = 4
Public Const EWX_LOGOFF = 0
Public Const EWX_REBOOT = 2
Public Const EWX_SHUTDOWN = 1
'-------------------

'-------------------
Public Declare Sub GlobalMemoryStatus Lib "kernel32" (lpBuffer As MEMORYSTATUS)
'nothing fancy to do to use - remember, it is Sub, not Func

Public Type MEMORYSTATUS
        dwLength As Long
        dwMemoryLoad As Long
        dwTotalPhys As Long
        dwAvailPhys As Long
        dwTotalPageFile As Long
        dwAvailPageFile As Long
        dwTotalVirtual As Long
        dwAvailVirtual As Long
End Type
'-------------------

'-------------------
Public Declare Sub GetSystemInfo Lib "kernel32" (lpSystemInfo As SYSTEM_INFO)
'nothing too special to use
Public Type SYSTEM_INFO
        dwOemID As Long
        dwPageSize As Long
        lpMinimumApplicationAddress As Long
        lpMaximumApplicationAddress As Long
        dwActiveProcessorMask As Long
        dwNumberOrfProcessors As Long
        dwProcessorType As Long
        dwAllocationGranularity As Long
        dwReserved As Long
End Type


